<?php
/*
    Plugin Name: Dublin Core 
    Description: Add Dublin Core Metadata Initiative to Web Site Header
    Version: 1.4
    Author: Pasillo Digital
    License: Copyright (C) 2017 Pasillo Digital (Inversiones DSV SpA), Cerro Colorado 5240, Piso 10, Torre II, Las Condes - Santiago de Chile.
    Text Domain: www.pasillodigital.com
*/

function DCMIeditor_enqueue_script() {   
    wp_enqueue_script( 'DCMIeditorScript', plugin_dir_url( __FILE__ ) . 'scripts/javascript.js', '1.0' );
   
    wp_enqueue_style( 'DCMIeditorStyle', plugin_dir_url( __FILE__ ) . 'scripts/css.css', '1.0' );
    
}
add_action('admin_enqueue_scripts', 'DCMIeditor_enqueue_script');

function jquery_enqueue_script(){
   wp_enqueue_style('bootstrap', 'https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css');
   wp_enqueue_script('jsscripts', 'https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js');
   //wp_enqueue_script('jqueryscript', plugin_dir_url( __FILE__ ) . 'scripts/jquery-3.2.1.js');
   //wp_enqueue_script('jqueryscript', 'http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js');
}
add_action('admin_enqueue_scripts', 'jquery_enqueue_script');


// function dcmi_activate()
// {
//   global $wp;

//   $table_name = $wp->prefix . "dbdcmi";

//   if ( $wp->get_var('SHOW TABLES LIKE ' . $table_name) != $table_name )
//   {
//     $sql = 'CREATE TABLE ' .$table_name . '(
//       titlecodedb VARCHAR(255)


//       ';

//       require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
//       dbDelta($sql);


//   } 

// }

// register_activation_hook(__FILE__,'dcmi_activate');



if(!class_exists('aFhfc_class')) :
define('AFHDFTRCD_ID', 'aFhfc');
define('AFHDFTRCD_NICK', 'Dublin Core Editor');
  class aFhfc_class
  {
    public static function file_path($file)
    {
      return plugin_dir_path(__FILE__).$file;
    }
    public static function register()
    {
      register_setting(AFHDFTRCD_ID.'_options', 'aFhfc_site_wide_head_code');
      register_setting(AFHDFTRCD_ID.'_options', 'aFhfc_site_wide_footer_code');
      register_setting(AFHDFTRCD_ID.'_options', 'titlecode');
      register_setting(AFHDFTRCD_ID.'_options', 'urlcode');
      register_setting(AFHDFTRCD_ID.'_options', 'descriptioncode');
      register_setting(AFHDFTRCD_ID.'_options', 'firstkeywordcode');
      register_setting(AFHDFTRCD_ID.'_options', 'secondkeywordcode');
      register_setting(AFHDFTRCD_ID.'_options', 'thirdkeywordcode');
      register_setting(AFHDFTRCD_ID.'_options', 'fourthkeywordcode');
      register_setting(AFHDFTRCD_ID.'_options', 'fifthkeywordcode');
      register_setting(AFHDFTRCD_ID.'_options', 'languagecode');
      register_setting(AFHDFTRCD_ID.'_options', 'authorurlcode');
      register_setting(AFHDFTRCD_ID.'_options', 'contributorurlcode');
      register_setting(AFHDFTRCD_ID.'_options', 'publisherurlcode');
      register_setting(AFHDFTRCD_ID.'_options', 'licenseurlcode');
      register_setting(AFHDFTRCD_ID.'_options', 'yearcode');
      register_setting(AFHDFTRCD_ID.'_options', 'monthcode');
      register_setting(AFHDFTRCD_ID.'_options', 'daycode');
      register_setting(AFHDFTRCD_ID.'_options', 'urlrelatedresource1code');
      register_setting(AFHDFTRCD_ID.'_options', 'urlrelatedresource2code');
      register_setting(AFHDFTRCD_ID.'_options', 'rt');
      
    }
    public static function menu()
    {
      add_options_page(AFHDFTRCD_NICK.' Plugin Options', AFHDFTRCD_NICK, 'manage_options', AFHDFTRCD_ID.'_options', array('aFhfc_class', 'options_page'));
    }
    public static function options_page()
    {
      if (!current_user_can('manage_options'))
      {
        wp_die(__('You do not have sufficient permissions to access this page.'));
      }
      $plugin_id = AFHDFTRCD_ID;
      include(self::file_path('options.php'));
    }
    public static function output_head_code()
    {
      $site_head_code = get_option('aFhfc_site_wide_head_code');
      
      $meta_head_code = get_post_meta(get_the_ID(),'aFhfc_head_code',true);
      $head_replace = get_post_meta(get_the_ID(),'aFhfc_head_replace',true);
      if(!empty($head_replace)){
        echo $meta_head_code."\n";
      }else{
      //  echo $site_head_code."\n".$meta_head_code."\n";
        echo $site_head_code."\n";
      }
    }
    
  }
  if (is_admin())
  {
    add_action('admin_init', array('aFhfc_class', 'register'));
    add_action('admin_menu', array('aFhfc_class', 'menu'));
  }
  add_action('wp_head', array('aFhfc_class', 'output_head_code'));
  
endif;


add_action('add_meta_boxes','aFhfc_add');
function aFhfc_add()
{
  if(current_user_can('manage_options')){
    add_meta_box('aFhfcMetaBox','DCMI Editor','aFhfc_mtbx','','normal','high');
  }
}
function aFhfc_mtbx($post)
{
  $values = get_post_custom($post->ID);
  $head_text = isset($values['aFhfc_head_code']) ? esc_attr($values['aFhfc_head_code'][0]) : '';
  $head_replace = isset($values['aFhfc_head_replace']) ? esc_attr($values['aFhfc_head_replace'][0]) : '';
  $footer_text = isset($values['aFhfc_footer_code']) ? esc_attr($values['aFhfc_footer_code'][0]) : '';
  $footer_replace = isset($values['aFhfc_footer_replace']) ? esc_attr($values['aFhfc_footer_replace'][0]) : '';
  wp_nonce_field('aFhfc_nonce', 'aFhfc_mb_nonce');
  ?>
  <p>
    <label for="aFhfc_head_code">Head:</label>
    <textarea class="large-text" name="aFhfc_head_code" id="aFhfc_head_code"><?php echo $head_text; ?></textarea>
    <input id="aFhfc_head_replace" type="checkbox" name="aFhfc_head_replace" value="1" <?php checked($head_replace,'1'); ?> />
    <label for="aFhfc_head_replace">Replace Site-wide Head Code</label>
  </p>
  
  <?php
}
add_action('save_post','aFhfc_save');
function aFhfc_save($post_id)
{
  if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
  if( !isset( $_POST['aFhfc_mb_nonce'] ) || !wp_verify_nonce( $_POST['aFhfc_mb_nonce'], 'aFhfc_nonce' ) ) return;
  if( !current_user_can( 'manage_options' ) ) return;
  if( isset( $_POST['aFhfc_head_code'] ) )
    if( empty( $_POST['aFhfc_head_code'] ) )
      delete_post_meta( $post_id, 'aFhfc_head_code' );
    else
      update_post_meta( $post_id, 'aFhfc_head_code',$_POST['aFhfc_head_code'] );
  $aFHFCHRChk = (isset($_POST['aFhfc_head_replace']) && $_POST['aFhfc_head_replace'])? '1' : '';
  if(empty($_POST['aFhfc_head_replace']))
    delete_post_meta($post_id,'aFhfc_head_replace');
  else
    update_post_meta($post_id,'aFhfc_head_replace',$aFHFCHRChk);
  
}
